<script setup lang="ts">
import PendingReportTable from './PendingReportTable.vue'
import PaidReportTable from './PaidReportTable.vue'
import { useSalaryStore } from '../stores/salary'
import { ref } from 'vue'

const salaryStore = useSalaryStore()

const tab = ref(1)
</script>

<template>
  <v-tabs v-model="tab" color="#FFC26F" align-tabs="center">
    <v-tab :value="1">Paid</v-tab>
    <v-tab :value="2">Pending</v-tab>
  </v-tabs>
  <v-window v-model="tab">
    <v-window-item :value="1">
      <v-data-table
        :headers="salaryStore.headers"
        :items="salaryStore.slipRecords"
        class="h-screen"
      >
        <template v-slot:item="{ item }">
          <tr>
            <td>{{ item.id }}</td>
            <td>{{ item.period }}</td>
            <td>{{ item.date }}</td>
            <td>{{ item.employeeID }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.netSalary }}</td>
            <td>{{ item.state }}</td>
            <td>
              <v-icon size="small" class="me-2" @click="salaryStore.viewSlipDetails(item)">
                mdi-file-find
              </v-icon>
              <v-icon size="small" @click="salaryStore.deletePaidItem(item)"> mdi-delete </v-icon>
            </td>
          </tr>
        </template>
        <template v-slot:no-data>
          <v-btn color="primary"> Refresh </v-btn>
        </template>
      </v-data-table>
    </v-window-item>
    <v-window-item :value="2">
      <v-data-table
        :headers="salaryStore.headers2"
        :items="salaryStore.pendingSlips"
        class="h-screen"
      >
        <template v-slot:item="{ item }">
          <tr>
            <td>{{ item.id }}</td>
            <td>{{ item.period }}</td>
            <td>{{ item.date }}</td>
            <td>{{ item.employeeID }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.timeWorked }}</td>
            <td>{{ item.netSalary }}</td>
            <td>{{ item.state }}</td>
            <td>
              <v-icon size="small" class="me-2" @click="salaryStore.editItem(item)">
                mdi-pencil
              </v-icon>
              <v-icon size="small" @click="salaryStore.deletePendingItem(item)">
                mdi-delete
              </v-icon>
            </td>
          </tr>
        </template>
        <template v-slot:no-data>
          <v-btn color="primary"> Refresh </v-btn>
        </template>
      </v-data-table>
    </v-window-item>
  </v-window>
</template>
